import "Turbine";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.Gameplay";
--plugin 
import "ZanttuxPlugins.GambitHelper.Core"
import "ZanttuxPlugins.GambitHelper.Commands"
import "ZanttuxPlugins.GambitHelper.Settings"
import "ZanttuxPlugins.GambitHelper.GambitData"
--dragbar
import "Deusdictum.UI.Dragbar"

--Lets start this thing...
Turbine.Shell.WriteLine("Gambit Helper: online and ready to go!")

--Load settings
_ghData=Turbine.PluginData.Load( Turbine.DataScope.Character, "GambitHelper" );
if _ghData==nil then
	--default settings
	local _displayWidth, _displayHeight = Turbine.UI.Display.GetSize();
	local _centerX = _displayWidth/2;
	local _centerY = _displayHeight/2;
	_ghData={x1=_centerX-360,y1=_centerY-100,x2=_centerX+180,y2=_centerY-100,ooc_visibility=false,showall=false}
end

--main stuffs
CreateDisplay()
FilterGambitList()
UpdateDisplay()

--Unload stuff
if ( Plugins ["GambitHelper"] ~= nil ) then
	Plugins["GambitHelper"].Unload = function( sender, args )
		SaveSettings()
		Turbine.Shell.WriteLine("Gambit Helper: Unloading...")
	end
end
