function CreateDisplay()
	--this is the main window for gambits 1
	GambitWindow1 = NewWindow{x=_ghData.x1,y=_ghData.y1,width=180,height=18,colour=Turbine.UI.Color( 0.0, 0, 0,0)}
	GambitWindow1:SetMouseVisible(false)
	GambitWindow1.DragBar = Deusdictum.UI.DragBar( GambitWindow1, "Gambit Helper 1")
	GambitWindow1.DragBar:SetBarOnTop(true)
	GambitWindow1:SetVisible (false)

	--this is the main window for gambits 2
	GambitWindow2 = NewWindow{x=_ghData.x2,y=_ghData.y2,width=180,height=18,colour=Turbine.UI.Color( 0.0, 0, 0,0)}
	GambitWindow2:SetMouseVisible(false)
	GambitWindow2.DragBar = Deusdictum.UI.DragBar( GambitWindow2, "Gambit Helper 2")
	GambitWindow2.DragBar:SetBarOnTop(true)
	GambitWindow2:SetVisible (false)
	
	--Create listBox for images 1
	GList=NewListbox(30)
	GList:SetPosition(0, 0)
	GList:SetParent(GambitWindow1)
		
	--Create listBox for images 1	
	GList2=NewListbox(30)
	GList2:SetPosition(185, 0)
	GList2:SetParent(GambitWindow2)
			
	--ooc_visibility toggle
	GambitWindow1:SetVisible (_ghData.ooc_visibility)
	GambitWindow2:SetVisible (_ghData.ooc_visibility)
	
	-- watch combat...
	handle = AddCallback(_player, "InCombatChanged", function(sender, args )
		if not (_player:IsInCombat()) then
			GambitWindow1:SetVisible (_ghData.ooc_visibility)
			GambitWindow2:SetVisible (_ghData.ooc_visibility)
			UpdateDisplay()
		else
			GambitWindow1:SetVisible (true)
			GambitWindow2:SetVisible (true)
			UpdateDisplay()
		end
	end)
end

function AddCallback(object, event, callback)
    if (object[event] == nil) then
        object[event] = callback;
    else
        if (type(object[event]) == "table") then
            table.insert(object[event], callback);
        else
            object[event] = {object[event], callback};
        end
    end
    return callback;
end

function UpdateDisplay(c)
	GList:ClearItems()
	GList2:ClearItems()
	
	--HOT
	local listItem = Turbine.UI.Control()
    listItem:SetSize( 180, 12 )
 	listItem:SetBackground(_imageDir.."hot.tga")
	listItem:SetMouseVisible (false)
	GList:AddItem( listItem )
	for i,j in ipairs(_filteredGambitList.HOT) do
		local listItem = Turbine.UI.Control()
        listItem:SetSize( 180, 18 )
 		listItem:SetBackground(_imageDir..j[2])
		listItem:SetMouseVisible (false)
		GList:AddItem( listItem )
	end
	--TOT
	local listItem = Turbine.UI.Control()
    listItem:SetSize( 180, 12 )
 	listItem:SetBackground(_imageDir.."tot.tga")
	listItem:SetMouseVisible (false)
	GList:AddItem( listItem )
	for i,j in ipairs(_filteredGambitList.TOT) do
		local listItem = Turbine.UI.Control()
        listItem:SetSize( 180, 18 )
 		listItem:SetBackground(_imageDir..j[2])
		listItem:SetMouseVisible (false)
		GList:AddItem( listItem )
	end
	--TT
	local listItem = Turbine.UI.Control()
    listItem:SetSize( 180, 12 )
 	listItem:SetBackground(_imageDir.."tt.tga")
	listItem:SetMouseVisible (false)
	GList:AddItem( listItem )
	for i,j in ipairs(_filteredGambitList.TT) do
		local listItem = Turbine.UI.Control()
        listItem:SetSize( 180, 18 )
 		listItem:SetBackground(_imageDir..j[2])
		listItem:SetMouseVisible (false)
		GList:AddItem( listItem )
	end
	--TI
	local listItem = Turbine.UI.Control()
    listItem:SetSize( 180, 12 )
 	listItem:SetBackground(_imageDir.."ti.tga")
	listItem:SetMouseVisible (false)
	GList:AddItem( listItem )
	for i,j in ipairs(_filteredGambitList.TI) do
		local listItem = Turbine.UI.Control()
        listItem:SetSize( 180, 18 )
 		listItem:SetBackground(_imageDir..j[2])
		listItem:SetMouseVisible (false)
		GList:AddItem( listItem )
	end
	--AVOID
	local listItem = Turbine.UI.Control()
    listItem:SetSize( 180, 12 )
 	listItem:SetBackground(_imageDir.."avoid.tga")
	listItem:SetMouseVisible (false)
	GList:AddItem( listItem )
	for i,j in ipairs(_filteredGambitList.AVOID) do
		local listItem = Turbine.UI.Control()
        listItem:SetSize( 180, 18 )
 		listItem:SetBackground(_imageDir..j[2])
		listItem:SetMouseVisible (false)
		GList:AddItem( listItem )
	end
	--D
	local listItem = Turbine.UI.Control()
    listItem:SetSize( 180, 12 )
 	listItem:SetBackground(_imageDir.."d.tga")
	listItem:SetMouseVisible (false)
	GList2:AddItem( listItem )
	for i,j in ipairs(_filteredGambitList.DOT) do
		local listItem = Turbine.UI.Control()
        listItem:SetSize( 180, 18 )
 		listItem:SetBackground(_imageDir..j[2])
		listItem:SetMouseVisible (false)
		GList2:AddItem( listItem )
	end
	--MD
	local listItem = Turbine.UI.Control()
    listItem:SetSize( 180, 12 )
 	listItem:SetBackground(_imageDir.."md.tga")
	listItem:SetMouseVisible (false)
	GList2:AddItem( listItem )
	for i,j in ipairs(_filteredGambitList.MD) do
		local listItem = Turbine.UI.Control()
        listItem:SetSize( 180, 18 )
 		listItem:SetBackground(_imageDir..j[2])
		listItem:SetMouseVisible (false)
		GList2:AddItem( listItem )
	end
end

-- Constructor stuff
-- Window
NewWindow = class( Turbine.UI.Window )
function NewWindow:Constructor(options)
	Turbine.UI.Window.Constructor( self )
	self :SetPosition			( options.x,options.y)
	self :SetSize				( options.width,options.height )
	self :SetVisible			( options.visible or 1 )
	self :SetOpacity			( options.opacity or 1 )
	self :SetParent			( options.parent or nil)
	if options.mousevisible ~=nil then self :SetMouseVisible	( options.mousevisible) end
	if options.image ~=nil then 	self :SetBackground ( options.image) else self :SetBackColor ( options.colour or Turbine.UI.Color( 1, 0, 0)) end
end

-- Listbox
NewListbox= class(Turbine.UI.ListBox)
function NewListbox:Constructor (n)
	Turbine.UI.ListBox.Constructor(self)
	self:SetMaxItemsPerLine(n)
	self:SetOrientation( Turbine.UI.Orientation.Vertical);
	self:SetMouseVisible (false)
end