_player = Turbine.Gameplay.LocalPlayer.GetInstance();
_imageDir="ZanttuxPlugins/GambitHelper/Resources/"

_gambitList={							
{	"HOT",	6,	"21"	,"Persevere",				"persevere.tga"					},
{	"HOT",	9,	"23"	,"Impressive Flourish",		"impressive_flourish.tga"		},
{	"HOT",	17,	"212"	,"Safeguard",				"safeguard.tga"					},
{	"HOT",	37,	"2121"	,"Celebration of Skill",	"celebration_of_skill.tga"		},
{	"HOT",	46,	"21212"	,"Restoration",				"restoration.tga"				},

{	"TOT",	12,	"31"	,"Precise Blow",			"precise_blow.tga"				},
{	"TOT",	13,	"32"	,"War Cry",					"war_cry.tga"					},

{	"TT",	16,	"232"	,"Maddening Strike",		"maddening_strike.tga"			},
{	"TT",	41,	"2323"	,"Dance of War",			"dance_of_war.tga"				},
{	"TT",	58,	"23232"	,"Conviction",				"conviction.tga"				},

{	"TI",	4,	"33"	,"Goad",					"goad.tga"						},
{	"TI",	25,	"313"	,"Piercing Strike",			"piercing_strike.tga"			},
{	"TI",	43,	"3131"	,"Spear of Virtue",			"spear_virtue.tga"				},

{	"AVOID",1,	"22"	,"Defensive Strike",		"defensive_strike.tga"			},
{	"AVOID",18,	"213"	,"Shield Up",				"shield_up.tga"					},
{	"AVOID",32,	"1212"	,"Wall of Steel",			"wall_of_steel.tga"				},
{	"AVOID",36,	"2132"	,"Shield Mastery",			"shield_mastery.tga"			},
{	"AVOID",41,	"2323"	,"Dance Of War",			"dance_of_war.tga"				},

{	"DOT",	1,	"11"	,"Deft Strike",				"deft_strike.tga"				},
{	"DOT",	3,	"12"	,"The Boot",				"the_boot.tga"					},
{	"DOT",	8,	"13"	,"Offensive Strike",		"offensive_strike.tga"			},
{	"DOT",	16,	"123"	,"Power Attack",			"power_attack.tga"				},
{	"DOT",	19,	"323"	,"Brink of Victory",		"brink_of_victory.tga"			},
{	"DOT",	20,	"131"	,"Combination Strike",		"combination_strike.tga"		},
{	"DOT",	22,	"121"	,"Onslaught",				"onslaught.tga"					},
{	"DOT",	30,	"1231"	,"Mighty Blow",				"mighty_blow.tga"				},
{	"DOT",	31,	"1313"	,"Boar's Rush",				"boars_rush.tga"				},
{	"DOT",	38,	"3232"	,"Surety of Death",			"surety_of_death.tga"			},

{	"DOT",	50,	"12131"	,"The Dark Before Dawn",	"the_dark_before_dawn.tga"		},
{	"DOT",	52,	"132"	,"Reversal",				"reversal.tga"					},
{	"DOT",	54,	"1321"	,"Adroit Manoeuvre",		"adroit_manoeuvre.tga"			},
{	"DOT",	56,	"32323"	,"Desolation",				"desolation.tga"				},
{	"DOT",	60,	"13213"	,"Warden's Triumph",		"wardens_triumph.tga"			},
{	"DOT",	65,	"12312"	,"Unerring Strike",			"unerring_strike.tga"			},


{	"MD",	21,	"312"	,"Fierce Resolve",			"fierce_resolve.tga"			},
{	"MD",	42,	"3123"	,"Resolution",				"resolution.tga"				},
{	"MD",	48,	"31232"	,"Exultation of Battle",	"exultation_of_battle.tga"		}
}

function FilterGambitList()

	if (_ghData.showall) then
		_levelFilter = 65
	else
		_levelFilter = _player:GetLevel();
	end

	_filteredGambitList={HOT={},TOT={},TT={},TI={},AVOID={}, DOT={},MD={}}
	local _winHeight=0
	local _winHeight2=0
	for i,j in ipairs(_gambitList) do
		if _levelFilter>=j[2] then
			if j[1]=="HOT" then
				table.insert (_filteredGambitList.HOT,{j[3],j[5]})
				_winHeight = _winHeight + 1
			end
			if j[1]=="TOT" then
				table.insert (_filteredGambitList.TOT,{j[3],j[5]})
				_winHeight = _winHeight + 1
			end
			if j[1]=="TT" then
				table.insert (_filteredGambitList.TT,{j[3],j[5]})
				_winHeight = _winHeight + 1
			end
			if j[1]=="TI" then
				table.insert (_filteredGambitList.TI,{j[3],j[5]})
				_winHeight = _winHeight + 1
			end
			if j[1]=="AVOID" then
				table.insert (_filteredGambitList.AVOID,{j[3],j[5]})
				_winHeight = _winHeight + 1
			end
			if j[1]=="DOT" then
				table.insert (_filteredGambitList.DOT,{j[3],j[5]})
				_winHeight2 = _winHeight2 + 1
			end
			if j[1]=="MD" then
				table.insert (_filteredGambitList.MD,{j[3],j[5]})
				_winHeight2 = _winHeight2 + 1
			end
		end
	end
	
	GambitWindow1:SetSize(180,410)
	GambitWindow2:SetSize(180,410)
	GList:SetSize(180,_winHeight*18+60) -- resize window to fit all gambit available.
	GList:SetPosition(0,410-(_winHeight*18+60))
	GList2:SetSize(180,_winHeight2*18+24) -- resize window to fit all gambit available.
	GList2:SetPosition(0,410-(_winHeight2*18+24))
end